---
deprecated: true
search:
  tags:
    - DAM
    - PATCH
seo:
  description: >-
    Updates the description and/or… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id} endpoint in the
    Management API.
sidebar:
  label: Update a shareable link
  badge: PATCH
title: Update a shareable link
type: openapi-operation
---
Updates the description and/or expiration date of a specific shareable link
Deprecated: use PATCH /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/shareable-links/&#123;link_id&#125; instead.

`PATCH /api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}`

**Deprecated.**

**Request body** (`application/json`, required)

Update details

- `description` (string)
- `expires_at` (string)

Request body example:

```json
{
  "description": "string",
  "expires_at": "string"
}
```

**Responses**

- `200` — Shareable link updated successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `403` — Forbidden
- `404` — Shareable link not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "description": "string",
    "expires_at": "string",
    "file_ids": [
      "string"
    ],
    "folder_ids": [
      "string"
    ],
    "id": "string",
    "image_ids": [
      "string"
    ],
    "token": "string",
    "updated_at": "string",
    "video_ids": [
      "string"
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
